Next: ATAN2, Previous: ATAN, Up: Intrinsic Procedures [Contents][Index]

### 9.24 `ATAND` — Arctangent function, degrees

Description:

  `ATAND(X)` computes the arctangent of X in degrees (inverse of TAND).

  This function is for compatibility only and should be avoided in favor of standard constructs wherever possible.

Standard:

  GNU extension, enabled with `-fdec-math`.

Class:

  Elemental function

Syntax:

  `RESULT = ATAND(X)`
  `RESULT = ATAND(Y, X)`

Arguments:

  X | The type shall be `REAL` or `COMPLEX`; if Y is present, X shall be REAL.
  Y | The type and kind type parameter shall be the same as X.

Return value:

  The return value is of the same type and kind as X. If Y is present, the result is identical to `ATAND2(Y,X)`. Otherwise, it is the arcus tangent of X, where the real part of the result is in degrees and lies in the range -90 \leq \Re \atand(x) \leq 90.

Example:

      program test_atand
        real(8) :: x = 2.866_8
        x = atand(x)
      end program test_atand

Specific names:

  Name | Argument | Return type | Standard
  `ATAND(X)` | `REAL(4) X` | `REAL(4)` | GNU extension
  `DATAND(X)` | `REAL(8) X` | `REAL(8)` | GNU extension

See also:

  Inverse function: TAND Radians function: ATAN